Webhooks
List webhook deliveries
GET
Requires the webhook:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
webhookEndpointId?stringstatus?stringValue in
"delivered""delivering""failed""pending""retrying"eventType?stringValue in
"campaign.deleted""campaign.external-audience-fetched""campaign.failed""campaign.scheduled""campaign.sending""campaign.sent""contact.created""contact.deleted""contact.unsubscribed""contact.updated""delivery.approved""delivery.bounced""delivery.clicked""delivery.complained""delivery.delivered""delivery.opened""delivery.sent""delivery.suppressed""email-template.created""email-template.deleted""email-template.updated""external-audience.created""external-audience.deleted""external-audience.updated""inbound.parsed""journey.enrolled""journey.exited""segment.created""segment.deleted""segment.entered""segment.left""segment.updated""sender-identity.created""sender-identity.updated""subscription-group.opted-in""subscription-group.opted-out"limit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/webhook/deliveries' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "webhookEndpointId": "string", "eventType": "campaign.deleted", "payload": {}, "status": "delivered", "attemptCount": 0, "nextRetryAt": "2019-08-24T14:15:22Z", "lastAttemptAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "lastResponseStatusCode": 0, "lastError": "string", "created": "2019-08-24T14:15:22Z" } ], "total": 0, "limit": 0, "offset": 0}